FakeKey -

yada yada yada More...

## Typedefs

typedef struct FakeKey | FakeKey
| Opaque structure used for all operations.

## Enumerations

enum | FakeKeyModifier
| enumerated types for #mb_pixbuf_img_transform

## Functions

FakeKey * | fakekey_init (Display *xdpy)
| Initiates FakeKey.
int | fakekey_press (FakeKey *fk, const unsigned char *utf8_char_in, int len_bytes, int modifiers)
| Sends a Keypress to the server for the supplied UTF8 character.
void | fakekey_repeat (FakeKey *fk)
| Repreats a press of the currently held key ( from fakekey_press ).
void | fakekey_release (FakeKey *fk)
| Releases the currently held key ( from fakekey_press ).
int | fakekey_reload_keysyms (FakeKey *fk)
| Resyncs the internal list of keysyms with the server.
int | fakekey_press_keysym (FakeKey *fk, KeySym keysym, int flags)
| fakekey_press but with an X keysym rather than a UTF8 Char.
int | fakekey_send_keyevent (FakeKey *fk, KeyCode keycode, Bool is_press, int modifiers)

## Detailed Description

yada yada yada

Always remember to release held keys

## Function Documentation

## fakekey_init()

FakeKey * fakekey_init | ( | Display * | xdpy | ) |

Initiates FakeKey.

Parameters

  xdpy | X Display connection.

Returns
  new FakeKey reference on success, NULL on fail.

## fakekey_press()

int fakekey_press | ( | FakeKey * | fk,
|  | const unsigned char * | utf8_char_in,
|  | int | len_bytes,
|  | int | modifiers )

Sends a Keypress to the server for the supplied UTF8 character.

Parameters

  fk | FakeKey refernce from fakekey_init
  utf8_char_in | Pointer to a single UTF8 Character data.
  len_bytes | Lenth in bytes of character, or -1 in ends with 0
  modifiers | OR'd list of FakeKeyModifier modifiers keys to press with the key.

Returns

## fakekey_press_keysym()

int fakekey_press_keysym | ( | FakeKey * | fk,
|  | KeySym | keysym,
|  | int | flags )

fakekey_press but with an X keysym rather than a UTF8 Char.

Parameters

  fk | FakeKey refernce from fakekey_init
  keysym | X Keysym to send
  flags |

Returns

## fakekey_release()

void fakekey_release | ( | FakeKey * | fk | ) |

Releases the currently held key ( from fakekey_press ).

Parameters

  fk | FakeKey refernce from fakekey_init

## fakekey_reload_keysyms()

int fakekey_reload_keysyms | ( | FakeKey * | fk | ) |

Resyncs the internal list of keysyms with the server.

Should be called if a MappingNotify event is recieved.

Parameters

  fk | FakeKey refernce from fakekey_init

Returns

## fakekey_repeat()

void fakekey_repeat | ( | FakeKey * | fk | ) |

Repreats a press of the currently held key ( from fakekey_press ).

Parameters

  fk | FakeKey refernce from fakekey_init

## fakekey_send_keyevent()

int fakekey_send_keyevent | ( | FakeKey * | fk,
|  | KeyCode | keycode,
|  | Bool | is_press,
|  | int | modifiers )

Parameters

  fk | FakeKey refernce from fakekey_init
  keycode | X Keycode to send
  is_press | Is this a press ( or release )
  modifiers |

Returns